use lws_client::LwsVfsIns;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let mut lws_ins = match LwsVfsIns::new("config.json").await{
        Ok(ins) => ins,
        Err(e) => {
            println!("Error creating lws server instance: {:?}", e);
            return Err(e);
        }
    };
    match lws_ins.hello().await{
        Err(e) => {
            println!("lws client instance hello err {:?}", e);
            return Err(e);
        },
        _ =>{},
    }
    LwsVfsIns::mount(lws_ins)
}
